GET api/PayClasses/{payClassCode}
Request Information
URI Parameters
(i.e.queryString parameters in the form ?param1={param1}¶m2={param2})
| Name | Description | Type | Additional information |
|---|---|---|---|
| payClassCode | string |
Required |
|
| page | integer |
Default value is 1 |
|
| pageSize | integer |
Default value is 1000 |
Body Parameters
None.
Response Information
Resource Description
PayClassView| Name | Description | Type | Additional information |
|---|---|---|---|
| idPayClass | integer |
None. |
|
| code | string |
None. |
|
| description | string |
None. |
|
| CostAccount | integer |
None. |
|
| YearlySalary | decimal number |
None. |
|
| AutopayAmount | decimal number |
None. |
|
| NormalRate | decimal number |
None. |
|
| TimeHalfRate | decimal number |
None. |
|
| DoubleRate | decimal number |
None. |
|
| OtherRate | decimal number |
None. |
|
| AwardRate | decimal number |
None. |
|
| AwardHoursPaid | decimal number |
None. |
|
| TimeHalfFactor | integer |
None. |
|
| DoubleFactor | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"idPayClass": 1,
"code": "sample string 2",
"description": "sample string 3",
"costAccount": 4,
"yearlySalary": 5.0,
"autopayAmount": 6.0,
"normalRate": 7.0,
"timeHalfRate": 8.0,
"doubleRate": 9.0,
"otherRate": 10.0,
"awardRate": 11.0,
"awardHoursPaid": 12.0,
"timeHalfFactor": 13,
"doubleFactor": 14
}
application/xml, text/xml
Sample:
<PayClassView xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <idPayClass>1</idPayClass> <code>sample string 2</code> <description>sample string 3</description> <CostAccount>4</CostAccount> <YearlySalary>5</YearlySalary> <AutopayAmount>6</AutopayAmount> <NormalRate>7</NormalRate> <TimeHalfRate>8</TimeHalfRate> <DoubleRate>9</DoubleRate> <OtherRate>10</OtherRate> <AwardRate>11</AwardRate> <AwardHoursPaid>12</AwardHoursPaid> <TimeHalfFactor>13</TimeHalfFactor> <DoubleFactor>14</DoubleFactor> </PayClassView>